Subject: [bess] A question about NLRI of MAC-only EVPN Type 2 routes

From: Alexander Vainshtein <[email-masked]>
Date: Fri, 25 Mar 2022 15:03:29 +0000

Hi,
NLRI of an EVPN Type 2 route as described in  Section 7.2 of the 7423bis draft<https://datatracker.ietf.org/doc/html/draft-ietf-bess-rfc7432bis-04#section-7.2> includes two optional fields:

  *   IP address. Presence or absence of this field is indicated by its Length (a mandatory field in the NLRI). If this field is absent, the route is frequently referred to as MAC-only
  *   Label2. To the best of my understanding its presence or absence is inferred from the Length of the Type-specific part of the NLRI.

These two optional fields are separated by a mandatory field Label1.

Neither the draft nor the original RFC7432 do not  say whether Label2 field may be present in the NLRI of a MAC-only route.

The situation as I see it is ambiguous because:

  1.  AFAIK as of this moment usage of the Label2 field is only defined in RFC 9135  in conjunction with Symmetric EVPN IRB and only for routes that include both MAC and IP addresses
  2.  At the same time advertisement of MAC-only EVPN Type 2 routes that include Label2 field is not explicitly prohibited
  3.  My colleagues and I have encountered at least one implementation that treats an NLRI if a MAC-only EVPN Type 2 route that includes Label2 field as malformed.

A clear-cut answer, one way or another, would be most helpful.

Regards,
Sasha Vainshtein

Get Outlook for Android<https://aka.ms/AAb9ysg>

Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. and its Affiliates that is confidential and/or proprietary for the sole use of the intended recipient. Any review, disclosure, reliance or distribution by others or forwarding without express permission is strictly prohibited. If you are not the intended recipient, please notify the sender immediately and then delete all copies, including any attachments.